# pgRouting Manual (2.1.0)

## pgr_getColumnName

## Name

`pgr_getColumnName` — Retrieves the name of the column as is stored in the postgres administration tables.

Note

This function is intended for the developer’s aid.

Warning

This function is deprecated in 2.1. Use _pgr_getColumnName instead

## Synopsis

Returns a `text` contining the registered name of the column.

    text pgr_getColumnName(tab text, col text);

## Description

Parameters

tab: | `text` table name with or without schema component.
col: | `text` column name to be retrived.

Returns

> - `text` containing the registered name of the column.
> - `NULL` when :
>   - The table “tab” is not found or
>   - Column “col” is not found in table “tab” in the postgres administration tables.

History

- New in version 2.0.0

## Examples

    SELECT pgr_getColumnName('edge_table','the_geom');

     pgr_iscolumnintable
    ---------------------
     the_geom
    (1 row)

    SELECT pgr_getColumnName('edge_table','The_Geom');

     pgr_iscolumnintable
    ---------------------
     the_geom
    (1 row)

The queries use the Sample Data network.

## See Also

- Developer’s Guide for the tree layout of the project.
- pgr_isColumnInTable to check only for the existance of the column.
- pgr_getTableName to retrieve the name of the table as is stored in the postgres administration tables.